Summary: Displays e-mail messages matching a pattern
Name: mboxgrep
Version: 0.7.9
Release: 25%{?dist}
License: GPLv2+
Group: Applications/Internet
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: mboxgrep-debug.diff
Patch1: mboxgrep-0.7.9-format-security.patch
URL: http://www.mboxgrep.org
BuildRequires:  gcc
BuildRequires: zlib-devel, bzip2-devel, pcre-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
mboxgrep is a small utility that scans a mailbox for messages matching a
basic, extended, or Perl-compatible regular expression. Selected
messages can be either displayed on standard output, counted, piped to a
command or written to another mailbox.
It supports mbox (both plain and compressed), MH, nnmh, nnml and maildir
folders.

%prep
%setup -q
%patch0 -p 1 -b .debug
%patch1 -p1 -b .format

%build
%configure
%{__make} %{?_smp_mflags}

%install
%makeinstall

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mboxgrep
%{_mandir}/man1/mboxgrep.1*
%{_infodir}/mboxgrep.info*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.7.9-17
- Fix FTBFS with -Werror=format-security (#1037192, #1106178)
- Cleanup spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.7.9-12
- Rebuild against PCRE 8.30

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.7.9-7
- Fix Patch0:/%%patch mismatch.

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.9-6
- fix license tag

* Tue Feb 12 2008 Andreas Thienemann <athienem@redhat.com> - 0.7.9-5
- Rebuild against gcc-4.3

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 0.7.9-4
- Fixed up debug package to actually contain debugging files

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.7.9-3
- FE6 Rebuild

* Wed Mar 29 2006 Andreas Thienemann <andreas@bawue.net> 0.7.9-2
- Cleaned up for FE

* Wed May 26 2004 Andreas Thienemann <andreas@bawue.net> 0.7.9-1
- Initial RPM release.
